Subject: Re: linux-next: build warning after merge of the nand tree

From: Miquel Raynal <[email-masked]>
Date: Wed, 3 Apr 2019 09:49:47 +0200

Hi Stephen,

Stephen Rothwell <[email-masked]> wrote on Wed, 3 Apr 2019
10:22:39 +1100:

> Hi all,
> 
> After merging the nand tree, today's linux-next build (x86_64
> allmodconfig) produced this warning:
> 
> drivers/mtd/nand/raw/ingenic/jz4725b_bch.c: In function 'jz4725b_bch_read_parity':
> drivers/mtd/nand/raw/ingenic/jz4725b_bch.c:147:12: warning: this statement may fall through [-Wimplicit-fallthrough=]
>    dest8[2] = (val >> 16) & 0xff;
>    ~~~~~~~~~^~~~~~~~~~~~~~~~~~~~
> drivers/mtd/nand/raw/ingenic/jz4725b_bch.c:148:2: note: here
>   case 2: /* fall-through */
>   ^~~~
> drivers/mtd/nand/raw/ingenic/jz4725b_bch.c:149:12: warning: this statement may fall through [-Wimplicit-fallthrough=]
>    dest8[1] = (val >> 8) & 0xff;
>    ~~~~~~~~~^~~~~~~~~~~~~~~~~~~
> drivers/mtd/nand/raw/ingenic/jz4725b_bch.c:150:2: note: here
>   case 1: /* fall-through */
>   ^~~~
> 
> Introduced by commit
> 
>   acb29396f956 ("mtd: rawnand: ingenic: Add support for the JZ4725B")
> 
> I get this warning because I am building with -Wimplicit-fallthrough
> in attempt to catch new additions early.  The gcc warning can be turned
> off by adding a /* fall through */ comment at the point the fall through
> happens (i.e. before the next case label).
> 

Thanks for the warnings, I moved the fall-through comments so the
warnings are gone.

I also added -Wextra in my "mtd-builds" setup to catch these earlier.

Thanks,
Miquèl